Bug 806352 - can't run gdisk from installation media rescue mode
can't run gdisk from installation media rescue mode
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gdisk (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 10:16 EDT by Karel Volný
Modified: 2012-09-04 09:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-04 09:35:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2012-03-23 10:16:20 EDT
Description of problem:
When trying to run gdisk from the installation media in rescue mode there's missing shared library.

Version-Release number of selected component (if applicable):
Fedora 17 Alpha DVD x86_64

How reproducible:
always

Steps to Reproduce:
1. boot F17 installation DVD
2. select Troubleshooting
3. select rescue
...
4. go to shell
5. gdisk
  
Actual results:
gdisk: error while loading shared libraries: libicuio.so.48: cannot open shared object file: No such file or directory

Expected results:
(no error, gdisk runs)

Additional info:
Comment 1 Terje Røsten 2012-03-25 16:34:22 EDT
Thanks for your report.

Are you running gdisk from installed system or DVD image?

I have a feeling this is anaconda problem (creation of DVD) and not gdisk.
Comment 2 Karel Volný 2012-03-29 10:43:25 EDT
(In reply to comment #1)
> Thanks for your report.
> 
> Are you running gdisk from installed system or DVD image?

from DVD image on a USB stick (put there using liveusb-creator)

but now I'm confused ... I've tried to boot the Fedora-17-Alpha-x86_64-DVD.iso file in qemu, and it says there is no gdisk ... unfortunately, I don't have that USB stick I've used at hand

btw, would that be possible that after the filesystem got mounted, going to shell I'd be put into chrooted environment, not noticing that? (for sure I haven't tried to chroot to a partition on a disk which I was going to play with using gdisk ...)
Comment 3 Terje Røsten 2012-09-03 14:23:45 EDT
I think I am going to close this issue. Any more digging you want to do?
Comment 4 Karel Volný 2012-09-04 09:35:41 EDT
(In reply to comment #3)
> I think I am going to close this issue. Any more digging you want to do?

no, as I don't have the original system to play with

agreed, closing, sorry for the noise :-/

Note You need to log in before you can comment on or make changes to this bug.